<section>
  <fieldset>
    <qtb-question-heading heading="{{ label }}">
      <p>
        Please use your full name (not a nickname) as these details will be
        shown on the certificate of insurance.
      </p>
    </qtb-question-heading>
    <!-- <legend>
        <h2>{{label}}</h2>
        <p>Please use your full name (not a nickname) as these details will be shown on the certificate of insurance.</p>
    </legend> -->

    <!-- title -->
    <div class="responsive-form__wrapper">
      <div class="responsive-form__medium qtb__button-set">
        <span class="qtb__button-set-label">Title</span>
        <qtb-radiobutton [options]="options.titles" size="title">
          <ng-template #inputs let-option>
            <input
              required
              qtbErrorMessage
              [(ngModel)]="person.Title"
              type="radio"
              value="{{ option.value }}"
              name="title"
              id="{{ option }}"
            />
          </ng-template>
        </qtb-radiobutton>
      </div>
      <!-- <label class="qtb__label">Title</label> -->
      <!-- Other title -->
      <!-- <label class="qtb__label">Title</label> -->
      <div class="responsive-form__medium input__wrapper">
        <div *ngIf="person.Title === 'other'">
          <label for="otherTitle">
            <span>Other title</span>
          </label>
          <input
            required
            qtbErrorMessage
            type="text"
            id="otherTitle"
            name="otherTitle"
            [(ngModel)]="person.titleOther"
            class="form-control"
          />
        </div>
      </div>
    </div>

    <!-- first name -->
    <div class="responsive-form__wrapper">
      <div class="responsive-form__medium input__wrapper">
        <label for="firstName">
          <span>First name</span>
        </label>
        <input
          required
          qtbErrorMessage
          type="text"
          id="firstName"
          name="firstname"
          [(ngModel)]="person.Firstname"
          class="form-control"
        />
      </div>
    
    <!-- last name -->
      <div class="responsive-form__medium input__wrapper">
        <label for="lastName">
          <span>Last name</span>
        </label>
        <input
          required
          qtbErrorMessage
          type="text"
          id="lastName"
          name="lastname"
          [(ngModel)]="person.Lastname"
          class="form-control"
        />
      </div>
    </div>

    <!-- date of birth -->
    <!-- TODO change to datepicker -->
    <div class="responsive-form__wrapper">
      <div class="responsive-form__medium input__wrapper">
        <label for="dob">
          <span>Date of birth</span>
        </label>
          <span>
            <input
            required
            matInput
            qtbErrorMessage
            [matDatepicker]="picker"
            name="dob"
            id="dob"
            [(ngModel)]="person.DOB"
            #dobControl="ngModel"
            />
            <mat-datepicker-toggle
            matSuffix
            [for]="picker"
            >
          </mat-datepicker-toggle>
          <mat-datepicker #picker></mat-datepicker>
        </span>
      </div>
    
    <!-- gender -->
      <div class="responsive-form__medium qtb__button-set">
        <label for="gender">
          <span class="qtb__button-set-label">Gender</span>
        </label>
        <qtb-radiobutton [options]="options.genders" size="l">
          <ng-template #inputs let-option>
            <input
              required
              qtbErrorMessage
              [(ngModel)]="person.Gender"
              type="radio"
              value="{{ option.value }}"
              name="gender"
              id="{{ option }}"
            />
          </ng-template>
        </qtb-radiobutton>
      </div>
    </div>

    <!-- suburb -->
    <div class="responsive-form__wrapper">
      <div class="responsive-form__medium input__wrapper">
        <label for="suburb">
          <span>Suburb</span>
        </label>
        <input
          required
          qtbErrorMessage
          type="text"
          id="suburb"
          name="suburb"
          [(ngModel)]="person.DriverAddress"
          class="form-control"
        />
      </div>
      <div class="responsive-form__medium">
        <!-- placeholder -->
      </div>
    </div>
    <!-- TODO (conditional display) senior's card -->

    <div class="responsive-form__wrapper" *ngIf="isSenior(personAge)">
    <div class="responsive-form__small qtb__button-set">
      <label for="isSenior">
        <span class="qtb__button-set-label">Seniors card</span>
      </label>
      <qtb-radiobutton
        [options]="options.yesOrNo"
        size="small"
      >
        <ng-template #inputs let-option>
          <input
            required
            qtbErrorMessage
            qtbNullOnHide
            [(ngModel)]="person.isSenior"
            value="{{ option.value }}"
            type="radio"
            name="isSenior"
            id="isSenior"
          />
        </ng-template>
      </qtb-radiobutton>
    </div>
  </div>
  </fieldset>
</section>
